Subject: Re: [PATCH 7/7] cxgb3 - Add SW LRO support

From: Brice Goglin <[email-masked]>
Date: Tue, 27 Feb 2007 17:29:34 +0100

Steve Wise wrote:
> You're right.  But cxgb3 has it now in the driver (tested and working).
> Shouldn't it be pulled in?  When the network stack design gets done
> (which could take a few releases to finalize), all the drivers can be
> updated to use it.  It doesn't seem reasonable to allow some drivers to
> support LRO and others to not support it...
>   

I have to agree with Steve here. We have been requesting the inclusion
of myri10ge LRO for 5 months now (before 2.6.19). I could understand
that duplicating LRO code between s2io and myri10ge was not a good idea
at this point. But, I now see that Netxen got merged way later (in
2.6.20) but it got its LRO merged immediately. I guess the LRO is
already duplicated between s2io and netxen then. It does not look fair
to me at all.

Thank you for understanding our concerns.
Brice